//* Problem  : 1061 - Buffer Manager
//* Contest  : acm.timus.ru
//* Type     : Solution
//* Date     : 2007.07.08
//* Author   : alt
//* Language : C
//* Compiler : Microsoft Visual C++ 8.0

#include <stdio.h>
#include <math.h>
#include <string.h>

#pragma warning( disable : 4996 )

int res, n, k, ires;
char a[1000009];

void solve();
void result();

int main()
{
	char s[100];
	scanf("%i %i", &n, &k);
	a[0] = 0;
	while (1)
	{
		scanf("%s", s);
		if (!s[0]) break;
		strcat(a, s);
		s[0] = 0;
	}
	solve();
	result();
}

int value(char ch)
{
	if (ch != '*') return (ch - '0');
		else return 100000;

}

void solve()
{
	if (n < k) {res = 100000; return;}
	int i, sum = 0; res = 100000 * 10000 + 1; ires = 0;
	for (i = 0; i < k; i++)
		sum += value(a[i]);
	if (sum < res) {res = sum; ires = 1;}
	for (i = k; i < n; i++)
	{
		sum -= value(a[i - k]);
		sum += value(a[i]);
		if (sum < res) {res = sum; ires = i - k + 2;}
	}
}

void result()
{
	if (res >= 100000) res = 0;
		else res = ires;
	printf("%i\n", res);
}

